Skip to main content
`Ctrl`+`K`

# MatCompositeSetScalings

Sets separate scaling factors for component matrices.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeSetScalings(Mat mat, const PetscScalar *scalings)

Logically Collective

## Input Parameters

- mat - the composite matrix

- scalings - array of scaling factors with scalings[i] being factor of i-th matrix, for i in [0, nmat)

## See Also

Matrices, `Mat`, `MatScale()`, `MatDiagonalScale()`, `MATCOMPOSITE`

## Level

advanced

## Location

src/mat/impls/composite/mcomposite.c

## Examples

src/mat/tutorials/ex9.c

## Implementations

MatCompositeSetScalings_Composite() in src/mat/impls/composite/mcomposite.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages